

#include <iostream>
#include <utility>
#include <algorithm>
#include <queue>
#include <fstream>

#define dim 32009
#define f first
#define s second
#define mp make_pair

using namespace std;

ifstream in("banca.in");
ofstream out("banca.out");

int n;
int arr[dim];
queue< pair <int, pair<int,int> > >Q;

int abs(int x)
{
    if( x < 0 )
        return -x;
    return x;
}
int main()
{
    in >> n;
    for(int i = 1 ; i<=n; ++i)
    {
        in >> arr[i];
    }

    int sol = 0;
    while(1)
    {
        bool found = false;
        for(int i = 1 ; i<=n && !found; ++i)
        if(arr[i] < 0)
        {
            //search an element
            if(found == false)
            {
                if( i == 1)
                {
                    Q.push(mp(i, mp(n,i+1)));
                }
                else
                if( i == n)
                {
                    Q.push(mp(i,mp(i-1,1)));
                }
                else
                {
                    Q.push(mp(i,mp(i-1,i+1)));
                }

                found = true;
            }
        }

        if(!found)
        {
            break;
        }

        while(!Q.empty())
        {
            pair<int, pair <int, int > >  pozOfElement = Q.front();
            Q.pop();

            int currentElement = arr[pozOfElement.first];
            int leftElement = arr[pozOfElement.second.first];
            int rightElement = arr[pozOfElement.second.second];

            leftElement = leftElement - abs(currentElement);
            rightElement = rightElement - abs(currentElement);

            arr[pozOfElement.first] = abs(currentElement); //change to positive
            arr[pozOfElement.second.first] = leftElement; //make difference in left
            arr[pozOfElement.second.second] = rightElement; //make difference in right

            ++sol;

            if(leftElement < 0)
            {
                int leftPos = pozOfElement.second.first;
                if( leftPos == 1)
                {
                    Q.push(mp(leftPos, mp(n,leftPos+1)));
                }
                else
                if( leftPos == n)
                {
                    Q.push(mp(leftPos,mp(leftPos-1,1)));
                }
                else
                {
                    Q.push(mp(leftPos,mp(leftPos-1,leftPos+1)));
                }
                continue;
            }

            if(rightElement < 0)
            {
                int rightPos = pozOfElement.second.second;
                if( rightPos == 1)
                {
                    Q.push(mp(rightPos, mp(n,rightPos+1)));
                }
                else
                if( rightPos == n)
                {
                    Q.push(mp(rightPos,mp(rightPos-1,1)));
                }
                else
                {
                    Q.push(mp(rightPos,mp(rightPos-1,rightPos+1)));
                }
                continue;
            }

        }
    }

    out << sol;
    return 0;
}
