

#include <iostream>
#include <utility>
#include <algorithm>
#include <queue>
#include <fstream>

#define dim 32009
#define f first
#define s second
#define mp make_pair

using namespace std;

ifstream in("banca.in");
ofstream out("banca.out");

int n;
int arr[dim];
queue< pair <int, pair<int,int> > >Q;

int abs(int x)
{
    if( x < 0 )
        return -x;
    return x;
}
int main()
{
    in >> n;
    for(int i = 1 ; i<=n; ++i)
    {
        in >> arr[i];
    }

    int sol = 0;
    while(1)
    {
        bool found = false;
        int curretPos = -1;
        int leftPos = -1;
        int rightPos = -1;

        for(int i = 1 ; i<=n && !found; ++i)
        if(arr[i] < 0)
        {
            //search an element
            if(found == false)
            {
                if( i == 1)
                {
                    curretPos = i;
                    leftPos = n;
                    rightPos = i +1;
                }
                else
                if( i == n)
                {
                    curretPos = n;
                    leftPos = i-1;
                    rightPos = 1;
                }
                else
                {
                    curretPos = i;
                    leftPos = i-1;
                    rightPos = i + 1;
                }

                found = true;
            }
        }

        if(!found)
        {
            break;
        }

        int currentElement = arr[curretPos];
        int leftElement = arr[leftPos];
        int rightElement = arr[rightPos];

        leftElement = leftElement - abs(currentElement);
        rightElement = rightElement - abs(currentElement);

        arr[curretPos] = abs(currentElement); //change to positive
        arr[leftPos] = leftElement; //make difference in left
        arr[rightPos] = rightElement; //make difference in right

        ++sol;

    }

    out << sol;
    return 0;
}

