
#include <iostream>
#include <fstream>
#include <algorithm>
#include <vector>
#include <bitset>

#define dim 109
#define pb push_back
using namespace std;


ifstream in("arb.in");
ofstream out("arb.out");

int n , m;

vector < int > G[dim];
typedef vector < int >:: iterator IT;

int nrf[dim];
bitset < dim > uz;

void Read();
void Dfs( int root );
void Write_Sol();

int main()
{

    Read();
    Dfs(1);
    Write_Sol();

    return 0;

}

void Read()
{

    in >> n >> m;

    for( int x , y ; m ; --m )
    {

        in >> x >> y;
        G[x].pb(y);
        G[y].pb(x);
    }

}

void Dfs( int root)
{
    uz[root] = 1;
    nrf[root] = 1;
    for(IT i = G[root].begin(); i!=G[root].end(); ++i )
        if(!uz[*i])
    {
        Dfs(*i);
        nrf[root] = nrf[root] + nrf[*i];
    }
}


void Write_Sol()
{

    //for( int i = 1 ; i<=n ; i++)
      //  cerr << nrf[i] << " " ;

    //cerr << '\n';

    int sol = 0;
    for( int i = 1 ; i<=n ; i++)
        if( nrf[i] % 2 == 0 )
            ++sol;

    out << --sol;

}
