

#include<iostream>
#include<fstream>
#include<algorithm>
#include<cassert>


#define dim 1009
using namespace std;
ifstream in("sd.in");
ofstream out("sd.out");


int n, v[dim], divizori[dim];

int getNrOfDivSqrt(int number)
{
    int nrOfDiv = 0;
    for(int d = 1; d*d <= number; ++d)
    {
        if(number%d ==0)
        {
            if(number/d == d)
            {
                ++nrOfDiv;
            }
            else
            {
                nrOfDiv = nrOfDiv + 2;
            }
        }
    }
    return nrOfDiv;
}

int getNrOfDivDescompunere(int number)
{
    int d=2,p=0,nr=1;
    while(number>1)
    {
        p=0;
        while(number%d==0)
        {
            p++;
            number=number/d;
        }
        nr=nr*(p+1);
        d++;
        if(d*d>number&&number>1)
        {
            nr=nr*2;
            number=1;
        }
    }

    return nr;
}

void sortArray(int a[dim], int divs[dim])
{
    for(int i = 1; i<n; ++i)
    {
        for(int j = i +1; j <=n; ++j)
        {
            if(divs[i] < divs[j])
            {
                int aux = v[i];
                v[i] = v[j];
                v[j] = aux;

                int divAux = divs[i];
                divs[i] = divs[j];
                divs[j] = divAux;
            }
            else
            if(divs[i] == divs[j])
            {
                if(v[i] > v[j])
                {
                    int aux = v[i];
                    v[i] = v[j];
                    v[j] = aux;
                }
            }
        }
    }
}
int main()
{

    in >> n;
    for(int i = 1; i<=n; ++i)
    {
        in >> v[i];
    }

    for(int i = 1; i<=n; ++i)
    {
        divizori[i] = getNrOfDivDescompunere(v[i]);
    }


    sortArray(v,divizori);

    for(int i = 1; i<=n; ++i)
        out << v[i] << " ";

    return 0;
}
