

#include <iostream>
#include <fstream>
#include <algorithm>
#include <cstdlib>
#include <cstring>

#define dim 100009
#define lg 25
using namespace std;
ifstream in("mos.in");
ofstream out("mos.out");

int n, q, dp[lg][dim];

int main()
{
    int T;
    in >> T;
    for(; T; --T)
    {
        in >> n;
        for(int i = 1; i<=n; ++i)
        {
            int x,y;
            in >> x >> y;
            dp[0][x] = y;
        }

        for(int k = 1 ; k < lg; ++k)
        {
            for(int i = 1 ; i < dim; ++i)
            {
                dp[k][i] = dp[k-1][dp[k-1][i]];
            }
        }

        in >> q;
        for(int Q = 1; Q <= q; ++Q)
        {
            int tip, x, y, k;
            in >> tip;
            if(tip == 0)
            {
                in >> y >> x;
                dp[0][x] = y;
                for(int k = 1; k < lg; ++k)
                {
                    dp[k][x] = dp[k-1][dp[k-1][x]];
                }
            }
            else
            if(tip == 1)
            {
                in >> x;
                for(int k = 0; k < lg; ++k)
                {
                    dp[k][x] = 0;
                }
            }
            else
            if(tip == 2)
            {
                in >> x >> k;
                for(int pz = 0; (1 << pz) <= k; ++pz)
                    if(k & (1 << pz))
                        x = dp[pz][x];
                out << x << '\n';
            }
        }

        //clean levels
        memset(dp,0,sizeof(dp));
    }

    return 0;
}
